> For the complete documentation index, see [llms.txt](https://developer.esw.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.esw.com/returns-api/returns-api-v3.0/methods/return-methods.md).

# Return Methods

The following are the methods associated with the ‘Return’ API data type:

## GET Return (Using ID)

This method can be used to retrieve a return order using the *Return Order Number* fed back during the *Create Return* call.

To get the return information send a GET request to

{% code expandable="true" %}

```http
GET /orders/{orderReference}/return-orders/{returnOrderNumber}
```

{% endcode %}

### Method Parameters

<details>

<summary>Request Parameters</summary>

| **Field Name**    | **Data Type**                     | **Required/Optional** | **Description**                                                                                   |
| ----------------- | --------------------------------- | --------------------- | ------------------------------------------------------------------------------------------------- |
| orderReference    | <p>string</p><p>(max 30 char)</p> | Required              | <p>The retailer’s unique reference associated with the order.</p><p>This is case-insensitive.</p> |
| returnOrderNumber | ulong                             | Required              | The return order number in the return platform.                                                   |

</details>

<details>

<summary>Response Parameters</summary>

| **Field Name**                        | **Type** | **Description**                                                                                                                                          |
| ------------------------------------- | -------- | -------------------------------------------------------------------------------------------------------------------------------------------------------- |
| id                                    | string   | The Return Order identifier.                                                                                                                             |
| orderReference                        | string   | The Retailer’s unique reference for the order.                                                                                                           |
| returnOrderNumber                     | ulong    | Return order number.                                                                                                                                     |
| createdOn                             | dateTime | Date-Time in UTC format of when the return was created.                                                                                                  |
| lastUpdated                           | dateTime | Date-Time in UTC format of when the return was last updated.                                                                                             |
| status                                | string   | Overall status of the return.                                                                                                                            |
| returnAdminCentreCode                 | string   | Returns centre used for the return.                                                                                                                      |
| returnsListingsGuid                   | guid     | Unique GUID for the return order.                                                                                                                        |
| returnType                            | enum     | <p>Type of return</p><p><em>Example: BlindReturn, Undeliverable, Normal etc.</em></p>                                                                    |
| returnMethod                          | enum     | <p>Method used for shipping the return.</p><p><em>Example: Postal, PUDO, Collections</em></p>                                                            |
| isPaperlessRoute                      | boolean  | Flag to check if the return order sends out QR code for paperless Pick-up/Drop-off.                                                                      |
| paidBy                                | enum     | <p>The party that paid for the return.</p><p><em>Example: Unpaid, Retailer, Shopper</em></p>                                                             |
| carrierIdentifier                     | string   | Unique identifier of the shipping carrier.                                                                                                               |
| dropOffLocation                       | object   |                                                                                                                                                          |
| dropOffLocation.id                    | string   | The ID of the location.                                                                                                                                  |
| dropOffLocation.type                  | enum     | <p>Location type</p><p><em>Example: Store, PUDO</em></p>                                                                                                 |
| dropOffLocation.name                  | string   | The name of the drop-off location.                                                                                                                       |
| dropOffLocation.address1              | string   | The first line of the address of the drop-off location.                                                                                                  |
| dropOffLocation.address2              | string   | The second line of the address of the drop-off location.                                                                                                 |
| dropOffLocation.address3              | string   | The third line of the address of the drop-off location.                                                                                                  |
| ropOffLocation.city                   | string   | The city of the drop-off location.                                                                                                                       |
| dropOffLocation.postcode              | string   | The postcode of the drop-off location.                                                                                                                   |
| dropOffLocation.sortcode              | string   | The sort code of the drop-off location.                                                                                                                  |
| dropOffLocation.region                | string   | The region of the drop-off location.                                                                                                                     |
| dropOffLocation.country               | string   | The country of the drop-off location.                                                                                                                    |
| dropOffLocation.telephone             | string   | The telephone of the drop-off location.                                                                                                                  |
| dropOffLocation.email                 | string   | The email of the drop-off location.                                                                                                                      |
| returnItems                           | array    |                                                                                                                                                          |
| returnItems.returnItemStatus          | enum     | <p>Status of a return item.</p><p><em>Example: InProgress, Accepted, Rejected</em></p>                                                                   |
| returnItems.rejectionReason           | string   | Reason for the rejection of a return.                                                                                                                    |
| returnItems.returnReasons             | array    |                                                                                                                                                          |
| returnReasons.reasonCode              | string   | <p>Return reason codes,</p><p><em>Example:</em> <em>WrongItemShipped, Damaged, LateArrival</em></p>                                                      |
| returnReasons.description             | string   | Description for the return.                                                                                                                              |
| returnReasons.reasonComment           | string   | The comment the shopper has entered for returning the article.                                                                                           |
| returnReasons.isRetailerAtFault       | boolean  | Flag to identify if the retailer was at fault for the return.                                                                                            |
| returnReasons.suppliedBy              | integer  | <p>Who supplied the return.</p><p><em>Example: Shopper, CustomerService</em></p>                                                                         |
| returnItems.id                        | guid     | Unique ESW specific identifier for the return item.                                                                                                      |
| returnItems.productCode               | string   | The Retailer's unique identification code or SKU for the order item.                                                                                     |
| returnItems.lineItemId                | string   | ID that identifies the line item (optionally sent by retailer).                                                                                          |
| returnItems.productDescription        | string   | Title of the product.                                                                                                                                    |
| returnItems.productCustomsDescription | string   | Description of the product, including material composition for customs.                                                                                  |
| returnItems.countryOfOriginIso        | string   | Two-letter manufacturing country of origin of the product.                                                                                               |
| returnItems.hsCode                    | string   | Harmonized System (HS) code of the product.                                                                                                              |
| returnItems.weight                    | object   |                                                                                                                                                          |
| weight.weightTotal                    | double   | Weight of the item.                                                                                                                                      |
| weight.weightUnit                     | string   | <p>Weight unit of the item.</p><p><em>Example: Kg, Lb</em></p>                                                                                           |
| returnItems.unitPrice                 | object   |                                                                                                                                                          |
| unitPrice.amount                      | double   | Unit price of the product.                                                                                                                               |
| unitPrice.currency                    | string   | Currency ISO associated with the price of the item.                                                                                                      |
| returnItems.productImageUrl           | string   | Image URL associated with the item.                                                                                                                      |
| returnItems.color                     | string   | Item color.                                                                                                                                              |
| returnItems.size                      | string   | Item size.                                                                                                                                               |
| returnItems.category                  | string   | Item Category such as Furniture, Hardware, HealthBeauty, LuggageBag, etc.                                                                                |
| returnItems.personalized              | boolean  | Flag to indicate if the item has been personalized.                                                                                                      |
| returnItems.dangerousGoods            | boolean  | Flag to indicate if the item is Dangerous/Hazardous.                                                                                                     |
| returnItems.prohibitedForReturns      | boolean  | <p>Flag to indicate if the item should be prohibited for return</p><p>It is set to ‘False’ by default, unless it’s been overridden during ingestion.</p> |
| returnItems.shippingInformation       | object   | Additional shipping information.                                                                                                                         |
| shippingInformation.shippingReference | string   | Shipping reference.                                                                                                                                      |
| shippingInformation.shippingStatus    | string   | Current shipping status.                                                                                                                                 |
| shippingInformation.statusDate        | dateTime | Date-Time in UTC format of when the last status had changed.                                                                                             |
| weight.weightTotal                    | double   | Weight of the return order.                                                                                                                              |
| weight.weightUnit                     | string   | Unit associated with the weight of the return order.                                                                                                     |

</details>

<details>

<summary>Response</summary>

| **Response Code** | **Description**                                                |
| ----------------- | -------------------------------------------------------------- |
| 200 (OK)          | The requested return order is successfully found and returned. |

</details>

{% code title="Request-Response Example" expandable="true" %}

```json
{ // sample
    "id":"GOCAS-5000001604"
    "orderReference": "123456789",
    "returnOrderNumber": 5000001604,
    "createdOn": "2022-04-26T15:37:19.337156Z",
    "lastUpdated": "2022-04-26T15:37:19.337156Z",
    "status": "Processed",
    "returnAdminCentreCode": "RUMDC",
    "returnsListingsGuid": "fa5a96f6-7267-46bd-87e1-36529b01cc10",
    "returnType": "Normal",
    "returnMethod": "Postal",
    "isPaperlessRoute": true,
    "paidBy": "Retailer",
    "carrierIdentifier": "SingPost",     
    "dropOffLocation": {
      "id": "P73",
      "type": "Store",
      "name": "POPStation@Kebun Baru CC",
      "address1": "216",
      "address2": "Kebun Baru Community Club",
      "address3": "Ang Mo Kio Avenue 4",
      "city": "Singapore",
      "postcode": "569897",
      "sortcode": "910891",
      "region": "North-East",
      "country": "Singapore",
      "telephone": "12345678910",
      "email": "test@email.com"
    },
    "returnItems": [{
        "returnItemStatus": "accepted",
        "rejectionReason": "WrongProduct",
        "returnReasons": [{
            "reasonCode": "WrongItemSent",
            "description": "Wrong Item Sent",
            "reasonComment": "Don't like the colour",
            "isRetailerAtFault": true,
            "suppliedBy": "Shopper"
        }],
        "id": "e497818c-77bc-46e1-8572-d3150588e67c",
        "productCode": "0607339",
        "lineItemId": "3",
        "productDescription": "Nike Black Shoes - shipped",
        "productCustomsDescription": "shoes",
        "countryOfOriginIso": "IE",
        "hsCode": "6211490",
        "weight": {
            "weightTotal": 0.1,
            "weightUnit": "Kg"
        },
        "unitPrice": {
            "amount": 70.2,
            "currency": "USD"
        },
        "productImageUrl": "https://static.nike.com/a/images/t_PDP_1728_v1/f_auto,b_rgb:f5f5f5/e0f96ae2-51c2-4052-a28b-4a69b3c18718/wio-8-road-running-shoes-96MgNc.png",
        "color": "Black",
        "size": "32",
        "category": "Shoes",
        "personalized": true,
        "dangerousGoods": false,
        "prohibitedForReturns": false,
        "shippingInformation": {
            "shippingReference": "FBA_1636646500B",
            "shippingStatus": "Shipped",
            "statusDate": "2022-05-04T09:53:42.844Z"
        }   
    }],
    "weight": {
        "weightTotal": 1.2,
        "weightUnit": "Kg"
    },
}
```

{% endcode %}

***

## GET Return (Search)

This method can be used to search for return orders using a *date range* and/or *status*. It is important to note that this will only return the records from within the last 30 days.

To get the return information send a GET request to

{% code expandable="true" %}

```http
GET /return-orders?status={status}&startUtc={startUtc}&endUtc={endUtc}&returnType={returnType}
```

{% endcode %}

### Method Parameters

<details>

<summary>Request Parameters</summary>

| **Field Name**               | **Data Type**                                               | **Required/Optional** | **Description**                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      |
| ---------------------------- | ----------------------------------------------------------- | --------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| status                       | string                                                      | Required              | <p><em>Supplied as query string param</em><br>Search for return orders with a specific status.</p>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| <p>startUtc</p><p>endUtc</p> | <p>dateTime</p><p>dateTime</p><p>Limited to max 30 days</p> | Optional              | <p><em>Supplied as query string param</em><br>Optional DateTime UTC used as search parameters.</p><ul><li>\[startUtc: valid date time, endUtc: empty]<br><em>startUtc</em> is defaulted to current current day <em>00:00:00</em> and perform the search from the provided <em>startUtc</em> to current day (assuming the interval is less than 30 days);<br></li><li>\[startUtc: empty, endUtc: valid date time] OR \[startUtc: empy, endUtc: empty]<br><em>startUtc</em> defaulted to current day <em>00:00:00</em><br><em>endUtc defaulted</em> to current day and time.</li></ul> |
| returnType                   | <p>string</p><p>Default: <em>not specified</em></p>         | <p>Optional<br></p>   | <p><em>Supplied as query string param</em><br>Search for return orders with a specific return type.</p><p><em>Not Specified -</em> retrieve all return orders<br><em>Normal -</em> retrieve <em>normal</em> return orders<br><em>BlindReturn -</em> retrieve blind return orders<br><em>Undeliverable -</em> retrieve undeliverable return orders<br><em>EUCoolingOff -</em> retrieve EUCoolingOff return orders</p>                                                                                                                                                                 |

</details>

<details>

<summary>Response Parameters</summary>

| **Field Name**                        | **Type** | **Description**                                                                                     |
| ------------------------------------- | -------- | --------------------------------------------------------------------------------------------------- |
| id                                    | string   | The Return Order identifier.                                                                        |
| orderReference                        | string   | The Retailer’s unique reference for the order.                                                      |
| returnOrderNumber                     | ulong    | Return order number.                                                                                |
| createdOn                             | dateTime | Date-Time in UTC format of when the return was created.                                             |
| lastUpdated                           | dateTime | Date-Time in UTC format of when the return was last updated.                                        |
| status                                | string   | Overall status of the return.                                                                       |
| returnAdminCentreCode                 | string   | Returns centre used for the return.                                                                 |
| returnsListingsGuid                   | guid     | Unique GUID for the return order.                                                                   |
| returnType                            | enum     | <p>Type of return</p><p><em>Example: BlindReturn, Undeliverable, Normal etc.</em></p>               |
| returnMethod                          | enum     | <p>Method used for shipping the return.</p><p><em>Example: Postal, PUDO, Collections</em></p>       |
| isPaperlessRoute                      | boolean  | Flag to check if the return order sends out QR code for paperless Pick-up/Drop-off.                 |
| paidBy                                | enum     | <p>The party that paid for the return.</p><p><em>Example: Unpaid, Retailer, Shopper</em></p>        |
| carrierIdentifier                     | string   | Unique identifier of the shipping carrier.                                                          |
| dropOffLocation                       | object   |                                                                                                     |
| dropOffLocation.id                    | string   | The ID of the location.                                                                             |
| dropOffLocation.type                  | enum     | <p>Location type</p><p><em>Example: Store, PUDO</em></p>                                            |
| dropOffLocation.name                  | string   | The name of the drop-off location.                                                                  |
| dropOffLocation.address1              | string   | The first line of the address of the drop-off location.                                             |
| dropOffLocation.address2              | string   | The second line of the address of the drop-off location.                                            |
| dropOffLocation.address3              | string   | The third line of the address of the drop-off location.                                             |
| ropOffLocation.city                   | string   | The city of the drop-off location.                                                                  |
| dropOffLocation.postcode              | string   | The postcode of the drop-off location.                                                              |
| dropOffLocation.sortcode              | string   | The sort code of the drop-off location.                                                             |
| dropOffLocation.region                | string   | The region of the drop-off location.                                                                |
| dropOffLocation.country               | string   | The country of the drop-off location.                                                               |
| dropOffLocation.telephone             | string   | The telephone of the drop-off location.                                                             |
| dropOffLocation.email                 | string   | The email of the drop-off location.                                                                 |
| dropOffLocation.longtitude            | double   | Drop-off Location Longtitude (if available).                                                        |
| dropOffLocation.latitude              | double   | Drop-off Location Latitude (if available).                                                          |
| dropOffLocation.distanceInKms         | double   | The distance to the drop-offlocation from the request postcode.                                     |
| dropOffLocation.carrierCode           | string   | Unique carrier code for ESW.                                                                        |
| dropOffLocation.carrierServiceRouteId | string   | Unique reference for the associated ESW route.                                                      |
| returnItems                           | array    |                                                                                                     |
| returnItems.returnItemStatus          | enum     | <p>Status of a return item.</p><p><em>Example: InProgress, Accepted, Rejected</em></p>              |
| returnItems.rejectionReason           | string   | Reason for the rejection of a return.                                                               |
| returnItems.returnReasons             | array    |                                                                                                     |
| returnReasons.reasonCode              | string   | <p>Return reason codes,</p><p><em>Example:</em> <em>WrongItemShipped, Damaged, LateArrival</em></p> |
| returnReasons.description             | string   | Description for the return.                                                                         |
| returnReasons.reasonComment           | string   | The comment the shopper has entered for returning the article.                                      |
| returnReasons.isRetailerAtFault       | boolean  | Flag to identify if the retailer was at fault for the return.                                       |
| returnReasons.suppliedBy              | integer  | <p>Who supplied the return.</p><p><em>Example: Shopper, CustomerService</em></p>                    |
| shippingInformation.statusDate        | dateTime | Date-Time in UTC format of when the last status had changed.                                        |
| weight.weightTotal                    | double   | Weight of the return order.                                                                         |
| weight.weightUnit                     | string   | Unit associated with the weight of the return order.                                                |

</details>

<details>

<summary>Response</summary>

| **Response Code** | **Description**                                                                                   |
| ----------------- | ------------------------------------------------------------------------------------------------- |
| 200 (OK)          | The requested return order array matching the filter criteria is successfully found and returned. |

</details>

{% code title="Request-Response Example" expandable="true" %}

```json
[{ // sample
    "id":"GOCAS-5000001604"
    "orderReference": "123456789",
    "returnOrderNumber": 5000001604,
    "createdOn": "2022-04-26T15:37:19.337156Z",
    "lastUpdated": "2022-04-26T15:37:19.337156Z",
    "status": "Processed",
    "returnAdminCentreCode": "RUMDC",
    "returnsListingsGuid": "fa5a96f6-7267-46bd-87e1-36529b01cc10",
    "returnType": "Normal",
    "returnMethod": "Retailer",
    "isPaperlessRoute": true,
    "paidBy": "Retailer",
    "carrierIdentifier": "SingPost",
    "dropOffLocation": {
      "id": "P73",
      "type": "Store",
      "name": "POPStation@Kebun Baru CC",
      "address1": "216",
      "address2": "Kebun Baru Community Club",
      "address3": "Ang Mo Kio Avenue 4",
      "city": "Singapore",
      "postcode": "569897",
      "sortcode": "910891",
      "region": "North-East",
      "country": "Singapore",
      "telephone": "12345678910",
      "email": "test@email.com",
      "longtitude": 123.123,
      "latitude": 456.456,
      "distanceInKms": 19,
      "carrierCode": "sng.postal",
      "carrierServiceRouteId": "123-ABC-123"
    },
    "returnItems": [{
        "returnItemStatus": "accepted",
        "rejectionReason": null,
        "returnReasons": [{
            "reasonCode": "WrongItemSent",
            "description": "Wrong Item Sent",
            "reasonComment": "Don't like the colour",
            "isRetailerAtFault": true,
            "suppliedBy": "Shopper"
        }],
        "id": "e497818c-77bc-46e1-8572-d3150588e67c",
        "productCode": "0607339",
        "lineItemId": "3",
        "productDescription": "Nike Black Shoes - shipped",
        "productCustomsDescription": "shoes",
        "countryOfOriginIso": "IE",
        "hsCode": "6211490",
        "weight": {
            "weightTotal": 0.1,
            "weightUnit": "Kg"
        },
        "unitPrice": {
            "amount": 70.2,
            "currency": "USD"
        },
        "productImageUrl": "https://static.nike.com/a/images/t_PDP_1728_v1/f_auto,b_rgb:f5f5f5/e0f96ae2-51c2-4052-a28b-4a69b3c18718/wio-8-road-running-shoes-96MgNc.png",
        "color": "Black",
        "size": "32",
        "category": "Shoes",
        "personalized": true,
        "dangerousGoods": false,
        "prohibitedForReturns": false,
        "shippingInformation": {
            "shippingReference": "FBA_1636646500B",
            "shippingStatus": "Shipped",
            "statusDate": "2022-05-04T09:53:42.844Z"
        }
    }],
    "weight": {
        "weightTotal": 1.2,
        "weightUnit": "Kg"
  },
}]
```

{% endcode %}

***

## POST- Create Lite Return

The Create Lite Return Order endpoint can be used to create a Lite Return Order in the Returns Platform via a lite retailer integration.

To create lite return send a POST request to `POST /{tenantCode}/lite-return-orders`

<details>

<summary>Request Body</summary>

| Method | POST                             |
| ------ | -------------------------------- |
| Path   | /{tenantCode}/lite-return-orders |

<table data-header-hidden><thead><tr><th></th></tr></thead><tbody><tr><td><pre><code>{
  "orderReference": "REF4181811",
  "returnMethod": 0,
  "paidBy": 0,
  "carrierIdentifier": "EVRI",
  "isPaperlessRoute": true,
  "cultureLanguageIso": "en-IE",
  "dropOffLocation": {
      "id": "1234567",
      "type": 0,
      "name": "PostOffice",
      "address1": "Address1",
      "address2": "Address2",
      "address3": "Address3",
      "city": "City",
      "postcode": "1234 567",
      "sortcode": "123",
      "region": "Region",
      "country": "Country",
      "telephone": "12345678901",
      "email": "email@email.com",
      "openingTimesDescription": "24Hrs",
      "openingTimes": [
        {
          "day": "Monday",
          "opens": "09:00",
          "closes": "21:00"
        }
      ]
  },
  "contactInformation": {
    "firstName": "First",
    "lastName": "Last",
    "address1": "Address1",
    "address2": "Address2",
    "city": "City",
    "postalCode": "1234 567",
    "countryIso": "GB",
    "email": "email@email.com",
    "telephone": "12345678901"
  },
  "returnItems": [
    {
      "productCode": "Product1",
      "quantity": 2,
      "reasonCode": "DoNotLike",
      "unitPrice": {
        "amount": 12.50,
        "currency": "GBP"
      }
    }
  ],
  "returnAdminCentreCodeOverride": "IRLDC",
  "IncludeLabelInResponse": true,
  "IncludeInstructions": true
}
</code></pre></td></tr></tbody></table>

</details>

<details>

<summary>Response Body</summary>

| Response Code | 201 Created                                 |
| ------------- | ------------------------------------------- |
| Description   | Successfully created the lite return order. |

```
{ // sample
   "orderReference": "123546",
    "returnOrderNumber": "3000125648",
    "returnsListingGuid": "0000-0000-0000-0000",
    "returnMethod": "PUDO",
    "paidBy": "Retailer",
    "carrierIdentifier": "ABC123",
    "isPaperlessRoute": true,
    "dropOffLocation": {
      "id": "Identifier12",
      "type": 0,
      "name": "Location",
      "address1": "Address1",
      "address2": "Address2",
      "address3": "Address3",
      "city": "City",
      "postcode": "Postcode",
      "sortcode": "Sortcode",
      "region": "Region",
      "country": "Country",
      "telephone": "0441521854845",
      "email": "email@email.com,
      "openingTimesDescription": "24Hrs,
      "openingTimes": [
        {
          "day": "Monday",
          "opens": "09:00",
          "closes": "18:00"
        }
      ]
    },
    "returnItems": [
      {
        "productCode": "P1",
        "quantity": 2,
        "reasonCode": "DoNotLike",
        "unitPrice": {
          "amount": 12.50,
          "currency": "GBP"
        }
      }
    ],
    "returnAdminCentreCode": "IRLDC",
    "contentType": "application/pdf",
    "label": "PHN2ZyB4bWxucz0iaHR0cDo..."
}
```

</details>

### Method Parameters

<details>

<summary>Request Parameters</summary>

| Request Fields                                  |                                 |                                                                                                                  |                                                                                                                                |
| ----------------------------------------------- | ------------------------------- | ---------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------ |
| **Field Name**                                  | **Type**                        | **Validation**                                                                                                   | **Description**                                                                                                                |
| OrderReference                                  | string                          | <p>Required</p><p>Max 30 characters</p>                                                                          | The OrderReference of Order to be associated with Return                                                                       |
| ReturnMethod                                    | enum                            | <p>Required</p><p>Is valid enum value:</p><p>Postal = 1</p><p>PUDO = 2</p><p>Collections = 3</p><p>Store = 4</p> | The return method of the intended shipping route                                                                               |
| PaidBy                                          | enum                            | <p>Required</p><p>Is valid enum value:</p><p>Unpaid = 1</p><p>Retailer = 2</p><p>Shopper = 3</p>                 | The party that paid for the return                                                                                             |
| CarrierIdentifier                               | string                          |                                                                                                                  | Unique identifier of the Carrier                                                                                               |
| IsPaperlessRoute                                | boolean                         |                                                                                                                  | Defines whether the route is paperless or not                                                                                  |
| CultureLanguageIso                              | string                          | <p>Required</p><p>Must be valid country ISO</p>                                                                  | Country ISO of Return                                                                                                          |
| DropOffLocation                                 | DropOffLocationDto              | Must be null when ReturnMethod is not PUDO or Store                                                              | Drop Off Location for the Return                                                                                               |
| [DropOffLocation.Id](http://DropOffLocation.Id) | string                          |                                                                                                                  | Id of drop off location                                                                                                        |
| DropOffLocation.Type                            | enum                            | <p>Required</p><p>Is valid enum value:</p><p>Store = 1</p><p>Pudo = 2</p>                                        | Drop off location type                                                                                                         |
| DropOffLocation.Name                            | string                          | Max 100 characters                                                                                               | Name of drop off location                                                                                                      |
| DropOffLocation.Address1                        | string                          | Max 150 characters                                                                                               | Line 1 of drop off location address                                                                                            |
| DropOffLocation.Address2                        | string                          | Max 150 characters                                                                                               | Line 2 of drop off location address                                                                                            |
| DropOffLocation.Address3                        | string                          | Max 150 characters                                                                                               | Line 3 of drop off location address                                                                                            |
| DropOffLocation.City                            | string                          | <p>Not null</p><p>Max 150 characters</p>                                                                         | City of drop off location                                                                                                      |
| DropOffLocation.Postcode                        | string                          | Max 50 characters                                                                                                | Postcode of drop off location                                                                                                  |
| DropOffLocation.Sortcode                        | string                          | Max 10 characters                                                                                                | Sortcode of drop off location                                                                                                  |
| DropOffLocation.Region                          | string                          | Max 50 characters                                                                                                | Region of drop off location                                                                                                    |
| DropOffLocation.Country                         | string                          | <p>Required</p><p>Max 50 characters</p>                                                                          | Country of drop off location                                                                                                   |
| DropOffLocation.Telephone                       | string                          | Max 150 characters                                                                                               | Contact number for drop off location                                                                                           |
| DropOffLocation.Email                           | string                          |                                                                                                                  | Contact email of drop off location                                                                                             |
| DropOffLocation.OpeningTimesDescription         | string                          |                                                                                                                  | Description of opening times for drop off location                                                                             |
| DropOffLocation.OpeningTimes                    | List\<OpeningTimeDto>           |                                                                                                                  | List of opening times by day                                                                                                   |
| DropOffLocation.OpeningTimes.Day                | string                          | <p>Required</p><p>Must be valid day of the week</p>                                                              | Day of the week                                                                                                                |
| DropOffLocation.OpeningTimes.Opens              | string                          | Required                                                                                                         | Opening time for the given day                                                                                                 |
| DropOffLocation.OpeningTimes.Closes             | string                          | Required                                                                                                         | Closing time for the given day                                                                                                 |
| ContactInformation                              | LiteReturnContactInformationDto | Not null                                                                                                         | Customer contact information                                                                                                   |
| ContactInformation.FirstName                    | string                          | <p>Required</p><p>Max 70 characters</p>                                                                          | Customer first name                                                                                                            |
| ContactInformation.LastName                     | string                          | <p>Required</p><p>Max 70 characters</p>                                                                          | Customer last name                                                                                                             |
| ContactInformation.Address1                     | string                          | <p>Required</p><p>Max 150 characters</p>                                                                         | First line of customer address                                                                                                 |
| ContactInformation.Address2                     | string                          | Max 150 characters                                                                                               | Second line of customer address                                                                                                |
| ContactInformation.City                         | string                          | <p>Required</p><p>Max 150 characters</p>                                                                         | Customer’s city                                                                                                                |
| ContactInformation.PostalCode                   | string                          | Max 50 characters                                                                                                | Post code of customer’s address                                                                                                |
| ContactInformation.CountryIso                   | string                          | <p>Required</p><p>Must be valid Country ISO</p>                                                                  | Customer’s country                                                                                                             |
| ContactInformation.Email                        | string                          | <p>Required</p><p>Valid email format</p><p>Max 100 characters</p>                                                | Contact email address for customer                                                                                             |
| ContactInformation.Telephone                    | string                          | Max 50 characters                                                                                                | Contact telephone number for customer                                                                                          |
| ReturnItems                                     | List\<LiteReturnItemDto>        | Required                                                                                                         | Items to be returned                                                                                                           |
| ReturnItems.ProductCode                         | string                          | <p>Required</p><p>Max 50 characters</p>                                                                          | Item’s product code                                                                                                            |
| ReturnItems.Quantity                            | int                             | <p>Greater than 0</p><p>Less than or equal to 2147483647</p>                                                     | Number of copies of this item to be returned                                                                                   |
| ReturnItems.ReasonCode                          | string                          |                                                                                                                  | Reason code for why item is being returned                                                                                     |
| ReturnItems.UnitPrice                           | UnitPriceDto                    | Required                                                                                                         | Price information of return item                                                                                               |
| ReturnItems.UnitPrice.Amount                    | Decimal                         | <p>Not null</p><p>Greater than 0</p>                                                                             | Value of return item                                                                                                           |
| ReturnItems.UnitPrice.Currency                  | string                          | <p>Required</p><p>Must be valid currency ISO</p>                                                                 | Currency of return item value                                                                                                  |
| ReturnAdminCentreCodeOverride                   | string                          | Max 20 characters                                                                                                | Code to identify return centre to override default value                                                                       |
| IncludeLabelInResponse                          | boolean                         |                                                                                                                  | True indicates the response will contain the return label. False indicates the return label should be obtained asynchronously. |
| IncludeInstructions                             | boolean                         |                                                                                                                  | Indicates whether instructions should be included with the return label document.                                              |

</details>

<details>

<summary>Response Parameters</summary>

| Response Fields                                 |               |                                                                |
| ----------------------------------------------- | ------------- | -------------------------------------------------------------- |
| **Field Name**                                  | **Type**      | **Description**                                                |
| OrderReference                                  | string        | Unique identifier of the order                                 |
| ReturnOrderNumber                               | string        | Unique identifier of the return                                |
| ReturnsListingGuid                              | Guid          | GUID of returns listing                                        |
| ReturnMethod                                    | string        | Method of returning                                            |
| PaidBy                                          | string        | Party that paid for the return                                 |
| CarrierIdentifier                               | string        | Unique identifier of the carrier                               |
| IsPaperlessRoute                                | boolean       | Shows whether a route is paperless or not                      |
| DropOffLocation                                 | Object        | Location of where to drop off return                           |
| [DropOffLocation.Id](http://DropOffLocation.Id) | string        | Identifier of drop off location                                |
| DropOffLocation.Type                            | enum          | Drop off location type                                         |
| DropOffLocation.Name                            | string        | Name of drop off location                                      |
| DropOffLocation.Address1                        | string        | First line of drop off location address                        |
| DropOffLocation.Address2                        | string        | Second line of drop off location address                       |
| DropOffLocation.Address3                        | string        | Third line of drop off location address                        |
| DropOffLocation.City                            | string        | City of drop off location                                      |
| DropOffLocation.Postcode                        | string        | Postcode of drop off location                                  |
| DropOffLocation.Sortcode                        | string        | Sortcode of drop off location                                  |
| DropOffLocation.Region                          | string        | Region of drop off location                                    |
| DropOffLocation.Country                         | string        | Country of drop off location                                   |
| DropOffLocation.Telephone                       | string        | Contact telephone number of drop off location                  |
| DropOffLocation.Email                           | string        | Contact email address of drop off location                     |
| DropOffLocation.OpeningTimesDescription         | string        | Description of drop off location opening times                 |
| DropOffLocation.OpeningTimes                    | List\<Object> | List of opening days and times of drop off location            |
| DropOffLocation.OpeningTimes.Day                | string        | Day of the week when drop off location is open                 |
| DropOffLocation.OpeningTimes.Opens              | string        | Time drop off location opens on that day                       |
| DropOffLocation.OpeningTimes.Closes             | string        | Time drop off location closes on that day                      |
| ReturnItems                                     | List\<Object> | Items that were returned                                       |
| ReturnItems.ProductCode                         | string        | Product code of returned item                                  |
| ReturnItems.Quantity                            | int           | Number of this item that was returned                          |
| ReturnItems.ReasonCode                          | string        | Reason code for why item was returned                          |
| ReturnItems.UnitPrice                           | Object        | Pricing information of returned item                           |
| ReturnItems.UnitPrice.Amount                    | decimal       | Value of returned item                                         |
| ReturnItems.UnitPrice.Currency                  | string        | Currency of returned item’s value                              |
| ReturnAdminCentreCode                           | string        | Admin centre code that return was created against              |
| ContentType                                     | string        | Return document MIME type that can used to render the document |
| Label                                           | string        | Base64 string document content                                 |

</details>

## POST- Create Return

The create return order endpoint can be used to create a *Return Order* in the returns platform.

To create return send a POST request to /orders/{orderReference}/return-orders

### Method Parameters

<details>

<summary>Request Parameters</summary>

| **Field Name**                                      | **Data Type**                      | **Required/Optional**                                                                        | **Description**                                                                                                                                                                                                                                                                                                                                                           |
| --------------------------------------------------- | ---------------------------------- | -------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| orderReference                                      | <p>string</p><p>(Max 30 char)</p>  | <p>Required<br></p>                                                                          | <p>The Retailer’s unique reference for the order.</p><p>This is case-insensitive.</p>                                                                                                                                                                                                                                                                                     |
| contactEmailAddress                                 | <p>string</p><p>(Max 100 char)</p> | <p>Required<br></p>                                                                          | Email from Order - used for validation.                                                                                                                                                                                                                                                                                                                                   |
| returnMethod                                        | enum                               | Required                                                                                     | <p>Method used for shipping the return.</p><p><em>Example: Postal, PUDO, Collections</em></p>                                                                                                                                                                                                                                                                             |
| paidBy                                              | enum                               | <p>Required<br></p>                                                                          | <p>The party that paid for the return.</p><p><em>Example: Unpaid, Retailer, Shopper</em></p>                                                                                                                                                                                                                                                                              |
| carrierIdentifier                                   | string                             | Optional                                                                                     | <p>The carrier identifier.</p><p><em>Example: RoyalMail</em></p><ul><li>If provided, the returnMethod, paidBy and carrierIdentifier must refer to an available route.</li><li>When not provided, a carrier will be selected based on returnMethod and paidBy where possible. Where multiple carriers are found, a validation error response will indicate this.</li></ul> |
| isPaperlessRoute                                    | boolean                            | Optional (default to false)                                                                  | Flag to indicate whether the return shipping route is paperless or not.                                                                                                                                                                                                                                                                                                   |
| cultureLanguageIso                                  | string                             | Required                                                                                     | Language culture ISO code.                                                                                                                                                                                                                                                                                                                                                |
| dropOffLocation                                     | object                             | <p>Optional</p><p>Validated against Return Method being set to PUDO otherwise Optional</p>   | Object with a dropOffLocation which consists of address info , contact info, and opening times.                                                                                                                                                                                                                                                                           |
| [dropOffLocation.id](http://dropOffLocation.id)     | string                             | Required                                                                                     | The ID for the location                                                                                                                                                                                                                                                                                                                                                   |
| dropOffLocation.type                                | enum                               | Required                                                                                     | <p>Location type - see enum/locationType</p><p><em>Example: Store, PUDO</em></p>                                                                                                                                                                                                                                                                                          |
| [dropOffLocation.name](http://dropOffLocation.name) | string                             | Required                                                                                     | The name of the location.                                                                                                                                                                                                                                                                                                                                                 |
| dropOffLocation.address1                            | <p>string</p><p>(Max 150 char)</p> | Required                                                                                     | The first line of the address of the location.                                                                                                                                                                                                                                                                                                                            |
| dropOffLocation.address2                            | <p>string</p><p>(Max 150 char)</p> | Optional                                                                                     | The second line of the address of the location.                                                                                                                                                                                                                                                                                                                           |
| dropOffLocation.address3                            | <p>string</p><p>(Max 150 char)</p> | Optional                                                                                     | The third line of the address of the location.                                                                                                                                                                                                                                                                                                                            |
| dropOffLocation.city                                | <p>string</p><p>(Max 150 char)</p> | Optional (cant be null)                                                                      | The city of the location.                                                                                                                                                                                                                                                                                                                                                 |
| dropOffLocation.postcode                            | <p>string</p><p>(Max 50 char)</p>  | Optional                                                                                     | The postcode of the location.                                                                                                                                                                                                                                                                                                                                             |
| dropOffLocation.sortcode                            | <p>string</p><p>(Max 10 char)</p>  | Optional                                                                                     | The sortcode of the location.                                                                                                                                                                                                                                                                                                                                             |
| dropOffLocation.region                              | <p>string</p><p>(Max 50 char)</p>  | <p>Optional<br></p>                                                                          | The region of the location.                                                                                                                                                                                                                                                                                                                                               |
| dropOffLocation.country                             | <p>string</p><p>(Max 50 char)</p>  | <p>Optional<br></p>                                                                          | The country of the location.                                                                                                                                                                                                                                                                                                                                              |
| returnItems                                         | array                              | Required (at least one)                                                                      | Array of Return Items.                                                                                                                                                                                                                                                                                                                                                    |
| returnItems.Id                                      | guid                               | <p>Required</p><p>Required if <em>ProductCode</em> is not set</p>                            | Unique ESW ID of article.                                                                                                                                                                                                                                                                                                                                                 |
| returnItems.reasonCode                              | string                             | Required                                                                                     | <p>Valid Return reason codes.</p><p><em>Example: "WrongItemShipped", "Damaged", "LateArrival"</em></p>                                                                                                                                                                                                                                                                    |
| returnItems.reasonComment                           | <p>string</p><p>(Max 100 char)</p> | <p>Optional<br></p>                                                                          | Custom comment about a return.                                                                                                                                                                                                                                                                                                                                            |
| returnItems.lineItemId                              | string                             | <p>Required</p><p>ProductCode, with optional line item ID, is required if ID is not set.</p> | ID that identifies the line item.                                                                                                                                                                                                                                                                                                                                         |
| returnItems.productCode                             | <p>string</p><p>(Max 50 char)</p>  | <p>Required</p><p>ProductCode, with optional line item ID is required if ID is not set.</p>  | <p>The Retailer's unique identification code or SKU for the order item.</p><p>When ProductCode, Id, LineItemId are all provided - they must match to the same item.</p>                                                                                                                                                                                                   |
| weight.weightTotal                                  | double                             | Optional                                                                                     | Weight of the package.                                                                                                                                                                                                                                                                                                                                                    |
| weight.weightUnit                                   | enum                               | Optional                                                                                     | <p>Unit associated with the weight of the package.</p><p><em>Example: Kg, Lb</em></p>                                                                                                                                                                                                                                                                                     |

**Request Parameters For Undeliverable Returns Order**

| **Field Name**      | **Data Type**                       | **Required/Optional**                                                                                                                               | **Description**                                                                                                                                                                                                                |
| ------------------- | ----------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| orderReference      | <p>string</p><p>(Max 30 chars)</p>  | <p>Required<br></p>                                                                                                                                 | <p><em>Supplied in URL</em><br>The Retailer’s unique reference for the order.</p><p>Case-insensitive.</p>                                                                                                                      |
| contactEmailAddress | <p>string</p><p>(Max 100 chars)</p> | Required                                                                                                                                            | Email from Order - used for validation                                                                                                                                                                                         |
| cultureLanguageIso  | string                              | Required                                                                                                                                            | Language culture iso                                                                                                                                                                                                           |
| returnType          | enum                                | Required                                                                                                                                            | Use ‘Undeliverable’                                                                                                                                                                                                            |
| shippingReference   | <p>string</p><p>(Max 50 chars)</p>  | <p>Required</p><p>Required when returnType is “Undeliverable” and both <em>carrierReference</em> and <em>barcodeReference</em> are not provided</p> | <p>The retailer's unique barcode reference for the package in which the item was shipped.</p><p>The Undeliverable return order will contain the order items matching the provided <em>shippingReference</em>, if provided.</p> |
| carrierReference    | <p>string</p><p>(Max 50 chars)</p>  | Optional                                                                                                                                            | <p>The carrier’s unique shipping reference for the package in which the item was shipped.</p><p>The Undeliverable return order will contain the order items matching the provided <em>carrierReference</em>, if provided.</p>  |
| barcodeReference    | <p>string</p><p>(Max 50 chars)</p>  | Optional                                                                                                                                            | <p>The retailer's unique barcode reference for the package in which the item was shipped.</p><p>The Undeliverable return order will contain the order items matching the provided <em>barcodeReference</em>, if provided.</p>  |
| weight.weightTotal  | double                              | Optional                                                                                                                                            | Weight of the undeliverable package                                                                                                                                                                                            |
| weight.weightUnit   | enum                                | Optional                                                                                                                                            | <p>The unit of the weight of the undeliverable package.</p><p><em>Example: Kg, Lb</em></p>                                                                                                                                     |

</details>

<details>

<summary>Response Parameters</summary>

| **Field Name**                 | **Data Type** | **Description**                                                                      |
| ------------------------------ | ------------- | ------------------------------------------------------------------------------------ |
| returnOrderNumber              | ulong         | Return order number                                                                  |
| returnType                     | enum          | <p>Type of return.</p><p><em>BlindReturn, Undeliverable, Normal etc.</em></p>        |
| returnMethod                   | enum          | <p>Method used for shipping the return.</p><p><em>Postal, PUDO, Collections</em></p> |
| paidBy                         | enum          | <p>The party that paid for the return.</p><p><em>Unpaid, Retailer, Shopper</em></p>  |
| carrierIdentifier              | string        | The ID of the carrier                                                                |
| isPaperlessRoute               | boolean       | Indicates whether the return was created with a paperless route or not.              |
| dropOffLocation                | object        | Drop Off Location.                                                                   |
| dropOffLocation.id             | string        | The ID of the location.                                                              |
| dropOffLocation.type           | enum          | <p>Carrier service type used.</p><p><em>Post, PUDO</em></p>                          |
| dropOffLocation.name           | string        | The name of the location.                                                            |
| dropOffLocation.address1       | string        | The first line of the address of the location.                                       |
| dropOffLocation.address2       | string        | The second line of the address of the location.                                      |
| dropOffLocation.address3       | string        | The third line of the address of the location.                                       |
| dropOffLocation.city           | string        | The city of the location.                                                            |
| dropOffLocation.postcode       | string        | The postcode of the location.                                                        |
| dropOffLocation.sortcode       | string        | The sortcode of the location.                                                        |
| dropOffLocation.region         | string        | The region of the location.                                                          |
| dropOffLocation.country        | string        | The country of the location.                                                         |
| returnItems                    | array         | This is the display string for the closing time for the specific day.                |
| returnItems.Id                 | guid          | Unique ESW ID associated with the article.                                           |
| returnItems.lineItemId         | string        | ID that identifies the line item (optionally sent by retailer)                       |
| returnItems.productCode        | string        | The Retailer's unique identification code or SKU for the order item.                 |
| returnItems.productDescription | string        | Title of the product.                                                                |
| returnItems.productImageUrl    | string        | Image URL of the item.                                                               |
| returnItems.color              | string        | Product colour.                                                                      |
| returnItems.size               | string        | Product size.                                                                        |
| returnItems.category           | string        | Product category.                                                                    |
| returnItems.reasonCode         | string        | Return reason code.                                                                  |
| returnItems.reasonComment      | string        | Comment with the return reason.                                                      |

</details>

<details>

<summary>Response</summary>

| **Response Code** | **Description**                        |
| ----------------- | -------------------------------------- |
| 201 (Created)     | Successfully created the return order. |
| 400 (Bad Request) | Could not process the request.         |

</details>

{% code title="Request-Response Example" expandable="true" %}

```json
{ // sample
    "returnsListingsGuid": "4c071f76-e27b-4291-a29h1",
    "returnOrderNumber": 500000000342342343,
    "returnType": "Normal",
    "returnMethod": "Postal",
    "paidBy": "Unpaid",
    "carrierIdentifier": "Royal Mail",
    "isPaperlessRoute": "true",
    "dropOffLocation": {
        "id": "P73",
        "type": "Pudo",
        "name": "POPStation@Kebun Baru CC",
        "address1": "216",
        "address2": "Kebun Baru Community Club",
        "address3": "Ang Mo Kio Avenue 4",
        "city": "Singapore",
        "postcode": "569897",
        "sortcode": "910891",
        "region": "North-East",
        "country": "Singapore"
  },
  "returnitems": [
      {
        "id": "0013db57-885d-462b-a24f-80312a9g3207", 
        "lineItemid": "1",
        "productCode": "112233",
        "productDescription":"Red scarf",
        "productImageUrl": "https://image.com",
        "color": "Red",
        "size": "L",
        "category": "Fashion",
        "reasonCode": "Defective",
        "reasonComment": "Broken glass"
      },
      {
        "id": "8014db57-785d-462b-a24f-80312a9g3207", 
        "lineItemid": "1",
        "productCode": "112234",
        "productImageUrl": "https://image.com",
        "color": "Red",
        "size": "L",
        "category": "Fashion",
        "reasonCode": "LateArrival",
        "reasonComment": "The product arrived too late"
      }
  ]
}
```

{% endcode %}

***

## PUT- Update Return

The *Update Return Order* endpoint can be used to update some parts of a Return Order in the Return Platform.

To create return send a PUT request to /orders/{orderReference}/return-orders/{returnOrderNumber}

### Method Parameters

<details>

<summary>Request Parameters</summary>

| **Field Name**                          | **Type**                           | **Required/Optional**                                                                                 | **Description**                                                                                                                                                                                                                                                                             |
| --------------------------------------- | ---------------------------------- | ----------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| orderReference                          | <p>string</p><p>(Max 30 chars)</p> | Required                                                                                              | <p><em>Supplied in URL</em><br>The Retailer’s unique reference for the order.</p><p>Case-insensitive.</p>                                                                                                                                                                                   |
| returnOrderNumber                       | ulong                              | Required                                                                                              | <p><em>Supplied in URL</em><br>Return platform return order number</p>                                                                                                                                                                                                                      |
| status                                  | enum                               | Required                                                                                              | <p>New return order status.</p><p>Possible values:</p><ul><li>Created</li><li>Received</li><li>OnHold</li><li>Released</li><li>Processed</li><li>AddedToManifest</li><li>SentToRetailer</li><li>ReceivedByRetailer</li><li>RemovedFromManifest</li><li>Cancelled</li><li>Refunded</li></ul> |
| statusReason                            | string                             | <p>Required</p><p>Required if the status is “OnHold”. It is optional otherwise.</p>                   | The reason for the status update.                                                                                                                                                                                                                                                           |
| returnItems                             | array                              | <p>Required</p><p>Required if the status is “Processed”, otherwise Optional.</p>                      | <p>Array of Return Items</p><p>When Status is “Processed” all return items must be provided in the request with associated status and, when applicable, with rejection reason.</p>                                                                                                          |
| [returnItems.Id](http://returnItems.Id) | guid                               | <p>Required</p><p>Required if <em>ProductCode</em> is not set.</p>                                    | Unique ESW ID associated with the article.                                                                                                                                                                                                                                                  |
| returnItems.lineItemId                  | string                             | <p>Required</p><p><em>ProductCode</em>, with optional line item id, is required if ID is not set.</p> | ID that identifies the line item.                                                                                                                                                                                                                                                           |
| returnItems.productCode                 | <p>string</p><p>(Max 50 char)</p>  | <p>Required</p><p><em>ProductCode</em>, with optional line item ID, is required if ID is not set.</p> | <p>The Retailer's unique identification code or SKU for the order item.</p><p>When <em>ProductCode</em>, <em>ID</em>, <em>LineItemId</em> are all provided - they must match to the same item.</p>                                                                                          |
| returnItems.returnItemStatus            | enum                               | Required                                                                                              | <p>Return item status.</p><p>Possible values:</p><ul><li>Accepted</li><li>Rejected</li></ul>                                                                                                                                                                                                |
| returnItems.rejectionReason             | string                             | <p>Required</p><p>Required if <em>ReturnItemStatus</em> is “Rejected”, otherwise Optional.</p>        | <p>The reason for rejecting the return item.</p><p>Valid rejection reason, for example, “ArticleNotIncluded"</p>                                                                                                                                                                            |
| returnItems.reasonCodeOverride          | string                             | Optional                                                                                              | <p>Value to replace the original shopper supplied return reason.</p><p>For example, "WrongItemShipped", "Damaged", "LateArrival"</p>                                                                                                                                                        |
| returnItems.reasonCode                  | string                             | Optional                                                                                              | <p>Return order item reason code.</p><p>If not provided; defaults to “NoReasonCodeSelected-v3”</p>                                                                                                                                                                                          |
| weight.weightTotal                      | double                             | Optional                                                                                              | Weight of the package                                                                                                                                                                                                                                                                       |
| weight.weightUnit                       | enum                               | Optional                                                                                              | <p>Unit associated with the weight of the package.</p><p><em>Example: Kg, Lb</em></p>                                                                                                                                                                                                       |

</details>

<details>

<summary>Response Parameters</summary>

| **Field Name**                                      | **Type** | **Description**                                                                                                                         |
| --------------------------------------------------- | -------- | --------------------------------------------------------------------------------------------------------------------------------------- |
| id                                                  | string   | The Return Order identifier.                                                                                                            |
| orderReference                                      | string   | The Retailer’s unique reference for the order.                                                                                          |
| returnOrderNumber                                   | ulong    | Return order number.                                                                                                                    |
| createdOn                                           | dateTime | Date-Time in UTC format of when the return was created.                                                                                 |
| lastUpdated                                         | dateTime | Date-Time in UTC format of when the return was last updated.                                                                            |
| status                                              | string   | Overall status of the return.                                                                                                           |
| returnAdminCentreCode                               | string   | Returns centre used for the return.                                                                                                     |
| returnsListingsGuid                                 | guid     | Unique GUID for the return order.                                                                                                       |
| returnType                                          | enum     | <p>Type of return</p><p><em>Example: BlindReturn, Undeliverable, Normal etc.</em></p>                                                   |
| returnMethod                                        | enum     | <p>Method used for shipping the return.</p><p><em>Example: Postal, PUDO, Collections</em></p>                                           |
| isPaperlessRoute                                    | boolean  | Flag to check if the return order sends out QR code for paperless Pick-up/Drop-off.                                                     |
| paidBy                                              | enum     | <p>The party that paid for the return.</p><p><em>Example: Unpaid, Retailer, Shopper</em></p>                                            |
| carrierIdentifier                                   | string   | Unique identifier of the shipping carrier.                                                                                              |
| dropOffLocation                                     | object   |                                                                                                                                         |
| [dropOffLocation.id](http://dropOffLocation.id)     | string   | The ID of the location.                                                                                                                 |
| dropOffLocation.type                                | enum     | <p>Location type</p><p><em>Example: Store, PUDO</em></p>                                                                                |
| [dropOffLocation.name](http://dropOffLocation.name) | string   | The name of the drop-off location.                                                                                                      |
| dropOffLocation.address1                            | string   | The first line of the address of the drop-off location.                                                                                 |
| dropOffLocation.address2                            | string   | The second line of the address of the drop-off location.                                                                                |
| dropOffLocation.address3                            | string   | The third line of the address of the drop-off location.                                                                                 |
| ropOffLocation.city                                 | string   | The city of the drop-off location.                                                                                                      |
| dropOffLocation.postcode                            | string   | The postcode of the drop-off location.                                                                                                  |
| dropOffLocation.sortcode                            | string   | The sort code of the drop-off location.                                                                                                 |
| dropOffLocation.region                              | string   | The region of the drop-off location.                                                                                                    |
| dropOffLocation.country                             | string   | The country of the drop-off location.                                                                                                   |
| dropOffLocation.telephone                           | string   | The telephone of the drop-off location.                                                                                                 |
| dropOffLocation.email                               | string   | The email of the drop-off location.                                                                                                     |
| dropOffLocation.longtitude                          | double   | Drop-off Location Longtitude (if available).                                                                                            |
| dropOffLocation.latitude                            | double   | Drop-off Location Latitude (if available).                                                                                              |
| dropOffLocation.distanceInKms                       | double   | The distance to the drop-offlocation from the request postcode.                                                                         |
| dropOffLocation.carrierCode                         | string   | Unique carrier code for ESW.                                                                                                            |
| dropOffLocation.carrierServiceRouteId               | string   | Unique reference for the associated ESW route.                                                                                          |
| returnItems                                         | array    |                                                                                                                                         |
| returnItems.returnItemStatus                        | enum     | <p>Status of a return item.</p><p><em>Example: InProgress, Accepted, Rejected</em></p>                                                  |
| returnItems.rejectionReason                         | string   | Reason for the rejection of a return.                                                                                                   |
| returnItems.returnReasons                           | array    |                                                                                                                                         |
| returnReasons.reasonCode                            | string   | <p>Return reason codes,</p><p><em>Example:</em> <em>WrongItemShipped, Damaged, LateArrival</em></p>                                     |
| returnReasons.description                           | string   | Description for the return.                                                                                                             |
[...]
